Bug 1129302 - lightdm login prompt long delay after laptop suspend/resume
Summary: lightdm login prompt long delay after laptop suspend/resume
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: lightdm
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 14:47 UTC by Pasi Karkkainen
Modified: 2014-08-21 12:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-21 12:55:52 UTC


Attachments (Terms of Use)

Description Pasi Karkkainen 2014-08-12 14:47:30 UTC
Description of problem:

Laptop: Lenovo ThinkPad T440s
OS: Fedora 20 (with latest updates)
Desktop: MATE with lightdm

Lightdm works properly when I power-on the system "normally". I get the login prompt immediately after Xorg starts. 

However after laptop suspend/resume cycle Xorg appears quickly, and I can move the mouse around on the background image, but there's no login prompt visible.. and obviously I can't login or do anything else either.

It takes a minute or two, with some "black flashes" in between (X dying? lightdm reloading?), before the login prompt finally appears, and then I can finally log in to the system. After that everything seems normal again.


Version-Release number of selected component (if applicable):
lightdm-gtk-1.6.1-3.fc20.x86_64
lightdm-1.8.8-1.fc20.x86_64
lightdm-gobject-1.8.8-1.fc20.x86_64
mate-session-manager-1.6.1-4.fc20.x86_64
mate-desktop-1.6.2-2.fc20.x86_64

How reproducible:
Often.

Steps to Reproduce:
1. Install F20 with latest updates, with MATE Desktop.
2. suspend/resume the laptop multiple times.
3. often there is a long delay before the login prompt appears after resume..

Actual results:
Often (maybe 50-75% of the suspend/resume cycles) it takes a long time before the lightdm login prompt appears after suspend/resume. Sometimes it's quick, but definitely not most of the time.

Expected results:
Login prompt appears immediately after resume.

Additional info:

Any tips how to troubleshoot this? I could find anything useful in lightdm logs..

Comment 1 Pasi Karkkainen 2014-08-13 11:33:34 UTC
> 
> Additional info:
> 
> Any tips how to troubleshoot this? I could find anything useful in lightdm
> logs..

typo.. it should be "I couldn't find anything useful in lightdm logs..".

Comment 2 Pasi Karkkainen 2014-08-16 10:25:23 UTC
Hmm.. When thinking more about this problem, I guess it actually might be some other component than lightdm which is the problem here.

The problematic "login dialog" which doesn't show up after suspend/resume is the same dialog which I get when I do "Lock Screen" from Mate menus..

So is that actually mate-session-manager, xscreensaver, or some other component, instead of lightdm?

Comment 3 Pasi Karkkainen 2014-08-16 10:32:45 UTC
mate-screensaver perhaps?

Comment 4 Pasi Karkkainen 2014-08-21 12:55:05 UTC
After some MATE packages got upgraded the other day now the lock/login dialog looks different.. so yes, this bug is NOT against lightdm, it's against MATE components.

Sorry. I'll file a new bug against correct component.


Note You need to log in before you can comment on or make changes to this bug.